<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Shift extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'block_id',
        'name',
        'start_time',
        'duration',
        'end_time',
    ];

    // public function plant(): BelongsTo
    // {
    //     return $this->belongsTo(Plant::class);
    // }

    public function block(): BelongsTo
    {
        return $this->belongsTo(Block::class);
    }

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }
}
